%define name libiphone
%define version 0.9.5
%define major 0
%define libname %mklibname iphone %major
%define libnamedev %mklibname -d iphone

Name:           libiphone
Version:        %{version}
Release:        %mkrel 2
Summary:        Library for connecting to Apple iPhone and iPod touch

Group:          System/Libraries
License:        LGPLv2+
URL:            http://matt.colyer.name/projects/iphone-linux/

Source0:        http://cloud.github.com/downloads/MattColyer/%{name}/%{name}-%{version}.tar.bz2
Patch0:	        libiphone-0.9.5-fix-underlinking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


BuildRequires: libtasn1-devel
BuildRequires: libplist-devel
BuildRequires: usbmuxd-devel >= 0.1.4
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: python-devel

%description
libiphone is a library for connecting to Apple's iPhone or iPod touch devices

%package -n %libname
Group: System/Libraries
Summary: Library for connecting to Apple iPhone and iPod touch
Requires: %name >= %version

%description -n %libname
libiphone is a library for connecting to Apple's iPhone or iPod touch devices

%package -n %libnamedev
Summary: Development package for libiphone
Group: Development/C
Provides: %name-devel = %version-%release
Requires: %libname = %{version}-%{release}

%description -n %libnamedev
Files for development with libiphone.

%package -n python-iphone
Summary: Python bindings for libiphone
Group: Development/Python
BuildRequires: swig
BuildRequires: libplist++-devel
%py_requires -d


%description -n python-iphone
Python bindings for libiphone.

%prep
%setup -q
%patch0 -p1
autoreconf -fi

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{_datadir}/hal/fdi/information/20thirdparty/31-apple-mobile-device.fdi
%{_bindir}/iphone_id
%{_bindir}/iphoneinfo
%{_bindir}/iphonesyslog

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libiphone-1.0.pc
%{_libdir}/libiphone.so
%{_libdir}/libiphone*a
%{_includedir}/libiphone

%files -n python-iphone
%defattr(-,root,root,-)
%{python_sitearch}/iphone/


%changelog
* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.5-2mdv2010.1
+ Revision: 474468
- rebuild against new libplist

* Tue Nov 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.5-1mdv2010.1
+ Revision: 469710
- 0.9.5 release

* Fri Nov 06 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.4-0.1mdv2010.1
+ Revision: 460548
- New version: 0.9.4 (work by teuf)

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 0.9.3-2mdv2010.0
+ Revision: 446806
- rebuild for new libusb

* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.3-1mdv2010.0
+ Revision: 415558
- improve wformat patch, sanitize mkrel

* Tue Aug 11 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.3-0mdv2010.0
+ Revision: 414791
- don't remove .la file, build static libs
- libiphone 0.9.3
  o start from scratch from fedora .spec and libify it

  + Götz Waschk <waschk@mandriva.org>
    - libify the package
    - fix build deps


* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.1-2
- Add new build reqs

* Tue May 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.1-1
- Update to official 0.9.1 release

* Fri Apr 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-11.20090325git443edc8
- Update to latest master version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10.20090103git5cde554
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-9.git5cde554
- Add back gnutls version patch

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-8.git5cde554
- Upload bzipped source file

* Sat Jan 3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.0-7.git5cde554
- New git snapshot

* Mon Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-6.git8c3a01e
- Fix devel dependency

* Mon Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-5.git8c3a01e
- Fix gnutls check for new rawhide version

* Mon Dec 5 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-4.git8c3a01e
- Rebuild for pkgconfig

* Tue Dec 2 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-3.git8c3a01e
- Fix git file generation

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-2.git8c3a01e
- Updates for package review

* Sat Nov 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.0-1
- Initial package

